Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.model
Class MiningMartModelFigureElement

    java.lang.Object
      org.musoft.limo.model.ModelElement
          org.musoft.limo.model.ModelFigureElement
              edu.udo.cs.miningmart.gui.model.MiningMartModelFigureElement

Direct Known Subclasses:
  MiningMartBaseAttribute, MiningMartConcept, MiningMartMultiColumnFeature, MiningMartStep

    public abstract class MiningMartModelFigureElement

extends org.musoft.limo.model.ModelFigureElement

Author:
  Timm Euler Abstract superclass for MiningMartConcept and others. It deals with the handling of the M4 documentation.

Field Summary
`static boolean` | `mayChangeDocumentation`

Constructor Summary
`MiningMartModelFigureElement(java.lang.String s, java.awt.Rectangle r, org.musoft.limo.model.ModelFigureElement mfe)`

Method Summary
`void` | `primitiveAttributeChanged(org.musoft.limo.model.ModelPrimitiveAttribute mpa)` If the description of this `MiningMartCase` changed then set the documentation of the underlying `M4Data` object.

Methods inherited from class org.musoft.limo.model.ModelFigureElement
`addChild, canAddChild, canRemoveChild, canSetBounds, canSetName, canSetParent, canSetPosition, clear, destroy, fireAddChild, fireCreateChild, fireCreateConnection, fireRemoveChild, fireSetParent, getBounds, getCenter, getChild, getChild, getChildCount, getChildOrConnection, getChildren, getChildren, getChildren, getCorner, getElement, getFullName, getMaximumBounds, getMinimumBounds, getModel, getNeededBounds, getParent, getPosition, getValidChildName, indexOfChild, indexOfChild, isChildOf, layout, removeChild, setBounds, setBounds, setCenter, setIndex, setParent, setPosition, setPosition`

Methods inherited from class org.musoft.limo.model.ModelElement
`addAttribute, addAttributeNew, addListener, associationEndChanged, canDestroy, changed, dump, fireDestroy, fireSetName, getAttribute, getAttribute, getAttributeCount, getListener, getListenerCount, getName, getRootModel, getType, indexOfAttribute, removeListener, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mayChangeDocumentation

    public static boolean mayChangeDocumentation

Constructor Detail

### MiningMartModelFigureElement

    public MiningMartModelFigureElement(java.lang.String s,
                                        java.awt.Rectangle r,
                                        org.musoft.limo.model.ModelFigureElement mfe)

Method Detail

### primitiveAttributeChanged

    public void primitiveAttributeChanged(org.musoft.limo.model.ModelPrimitiveAttribute mpa)

  If the description of this `MiningMartCase` changed then set the documentation of the underlying `M4Data` object.

  Overrides:
    `primitiveAttributeChanged` in class `org.musoft.limo.model.ModelElement`
  See Also:
    `ModelElement.primitiveAttributeChanged(ModelPrimitiveAttribute)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005